Last Comment Bug 867914 - Minor nit in extern declaration of asm function
: Minor nit in extern declaration of asm function
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: Sun NetBSD
: P5 normal (vote)
: mozilla24
Assigned To: Martin Husemann
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 00:48 PDT by Martin Husemann
Modified: 2013-06-01 02:40 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Change extern declaration of shared stub function (478 bytes, patch)
2013-05-02 00:48 PDT, Martin Husemann
landry: review+
Details | Diff | Splinter Review

Description Martin Husemann 2013-05-02 00:48:20 PDT
Created attachment 744495 [details] [diff] [review]
Change extern declaration of shared stub function

The attached patch fixes a compiler issue for me on NetBSD/sparc64 when using the same code as OpenBSD.
The function is implemented in assembler and at the ABI level there is no change.
Comment 1 Landry Breuil (:gaston) 2013-05-05 13:42:30 PDT
I'll be travelling in the coming days, but i'll make sure to look into this (and bug 867911 too) when possible - at least before end of month.
Comment 2 Landry Breuil (:gaston) 2013-05-31 09:10:01 PDT
Comment on attachment 744495 [details] [diff] [review]
Change extern declaration of shared stub function

Review of attachment 744495 [details] [diff] [review]:
-----------------------------------------------------------------

This doesnt seem to break things when backported to firefox 3.6 on sparc64 - just for the sake of completeness, what was the build error on NetBSD ?

Will push it soon.
Comment 4 Phil Ringnalda (:philor) 2013-05-31 21:42:21 PDT
https://hg.mozilla.org/mozilla-central/rev/d296fcc8f3dd
Comment 5 Martin Husemann 2013-06-01 02:40:05 PDT
For completeness: the error messages were (dozens of all alike):

../../../../../../dist/include/xptcstubsdef.inc: In member function 'virtual nsresult nsXPTCStubBase::Stub3()':
../../../../../../dist/include/xptcstubsdef.inc:1:1: error: cannot convert 'int' to 'nsresult' in return

(this is with gcc 4.5.4)

Note You need to log in before you can comment on or make changes to this bug.